wrong names for battery status variables on some systems

Bug #1090831 reported by Philip Muškovac on 2012-12-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
byobu (Ubuntu)
Medium
Dustin Kirkland 

Bug Description

I was wondering why the battery information isn't updated and found out that some of the value names for the battery state don't match with the system interface:

working version:
=== modified file 'usr/lib/byobu/battery'
--- usr/lib/byobu/battery 2012-02-23 14:02:53 +0000
+++ usr/lib/byobu/battery 2012-12-16 01:00:16 +0000
@@ -38,8 +38,8 @@
                                if [ -r "$bat/uevent" ]; then
                                        . "$bat/uevent"
                                        present="$POWER_SUPPLY_PRESENT"
- full="$POWER_SUPPLY_CHARGE_FULL"
- rem="$POWER_SUPPLY_CHARGE_NOW"
+ full="$POWER_SUPPLY_ENERGY_FULL"
+ rem="$POWER_SUPPLY_ENERGY_NOW"
                                        state="$POWER_SUPPLY_STATUS"
                                        [ "$present" = "1" ] && [ -n "$full" ] && [ -n "$rem" ] && [ -n "$state" ] && break
                                fi

Now this is the case on my 2 64bit systems, my 32bit EeePC has POWER_SUPPLY_CHARGE_* as used by byobu.

ProblemType: BugDistroRelease: Ubuntu 13.04
Package: byobu 5.22-0ubuntu1 [modified: usr/lib/byobu/battery]
ProcVersionSignature: Ubuntu 3.7.0-4.12-generic 3.7.0-rc7
Uname: Linux 3.7.0-4-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.7-0ubuntu2
Architecture: amd64
Date: Sun Dec 16 02:03:07 2012
EcryptfsInUse: Yes
InstallationDate: Installed on 2011-10-08 (434 days ago)
InstallationMedia: Kubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20111007)
MarkForUpload: True
PackageArchitecture: all
ScreenRC:

SourcePackage: byobu
UpgradeStatus: No upgrade log present (probably fresh install)

Philip Muškovac (yofel) wrote :
Philip Muškovac (yofel) wrote :
Philip Muškovac (yofel) on 2012-12-16
summary: - wrong names for battery status variables
+ wrong names for battery status variables on some systems
description: updated
tags: added: patch
Changed in byobu (Ubuntu):
assignee: nobody → Dustin Kirkland (kirkland)
importance: Undecided → Medium
status: New → In Progress
Dustin Kirkland  (kirkland) wrote :

Committed revision 1994.

Changed in byobu (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package byobu - 5.23-0ubuntu1

---------------
byobu (5.23-0ubuntu1) raring; urgency=low

  [ Dustin Kirkland ]
  * configure.ac, debian/control, debian/copyright, README,
    usr/lib/byobu/rcs_cost, usr/share/man/man1/byobu.1,
    usr/share/man/man1/byobu-config.1, usr/share/man/man1/byobu-ctrl-
    a.1, usr/share/man/man1/byobu-enable.1, usr/share/man/man1/byobu-
    janitor.1, usr/share/man/man1/byobu-launcher.1,
    usr/share/man/man1/byobu-launcher-install.1,
    usr/share/man/man1/byobu-launcher-uninstall.1,
    usr/share/man/man1/byobu-layout.1, usr/share/man/man1/byobu-quiet.1,
    usr/share/man/man1/byobu-reconnect-sockets.1,
    usr/share/man/man1/byobu-screen.1, usr/share/man/man1/byobu-select-
    backend.1, usr/share/man/man1/byobu-select-profile.1,
    usr/share/man/man1/byobu-select-session.1, usr/share/man/man1/byobu-
    shell.1, usr/share/man/man1/byobu-silent.1,
    usr/share/man/man1/byobu-status.1, usr/share/man/man1/byobu-status-
    detail.1, usr/share/man/man1/byobu-tmux.1:
    - point to the new byobu.co website rather than the launchpad landing
      page
  * usr/share/byobu/profiles/common: LP: #1089008
    - re-enable shift-pgup/shift-pgdn in the terminal buffer in screen,
      to match our default in tmux
  * === added directory usr/share/byobu/pixmaps/highcontrast,
    debian/install, usr/share/byobu/pixmaps/highcontrast/byobu.svg:
    - add a byobu high contrast icon, LP: #1082241
    - simplify, removing detail
  * usr/lib/byobu/distro, usr/lib/byobu/logo: LP: #1094716
    - try to improve logo printing and distro detection on Mac
  * debian/control, debian/rules, usr/bin/byobu-config, usr/bin/byobu-
    select-session: LP: #1043048
    - get our python code pep8 compliant
      + except use tabs instead of spaces, and allow lines longer than
        80 characters
    - this should get byobu's python code working better with python3
  * debian/postrm:
    - fix lintian error

  [ Dustin Kirkland and Philip Muškovac ]
  * usr/lib/byobu/battery: LP: #1090831
    - some batteries use "CHARGE" while others use "ENERGY"

  [ Antonio Lorusso ]
  * usr/bin/byobu-status: LP: #1018538, #1073145, #1020674
    - fix select/copy/paste in iTerm2 and KDE
 -- Dustin Kirkland <email address hidden> Mon, 05 Nov 2012 13:48:13 +0100

Changed in byobu (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers